Package org.gitana.platform.client.node.type

# Interface OwnedAssociation

All Superinterfaces:
  `Association`, `Attachable`, `BaseNode`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `TypedID`

All Known Subinterfaces:
  `ChildAssociation`

All Known Implementing Classes:
  `ChildAssociationImpl`, `OwnedAssociationImpl`

public interface OwnedAssociation extends Association

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.gitana.platform.support.QName`
`QNAME`

### Fields inherited from interface org.gitana.platform.client.node.Association

`FIELD_DIRECTIONALITY, FIELD_SOURCE, FIELD_SOURCE_CHANGESET, FIELD_SOURCE_TYPE, FIELD_TARGET, FIELD_TARGET_CHANGESET, FIELD_TARGET_TYPE, FIELD_TIMESTAMP`

### Fields inherited from interface org.gitana.platform.client.node.BaseNode

`FIELD_FEATURES, FIELD_QNAME, FIELD_TYPE_QNAME, SYSTEM_CHANGESET, SYSTEM_DELETED`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

### Methods inherited from interface org.gitana.platform.client.node.Association

`getDirectionality, getOtherNode, getSourceChangeset, getSourceChangesetId, getSourceNode, getSourceNodeId, getSourceNodeTypeQName, getTargetChangeset, getTargetChangesetId, getTargetNode, getTargetNodeId, getTargetNodeTypeQName, getTimestamp, isOwned, isSourceLoaded, isTargetLoaded, setDirectionality, setSourceChangesetId, setSourceNode, setSourceNodeId, setSourceNodeTypeQName, setTargetChangesetId, setTargetNode, setTargetNodeId, setTargetNodeTypeQName`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.node.BaseNode

`addFeature, getBranch, getBranchId, getChangeset, getChangesetId, getFeature, getFeatureIds, getQName, getRepository, getRepositoryId, getTypeQName, hasFeature, isDeleted, removeFeature, touch`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### QNAME

static final org.gitana.platform.support.QName QNAME